// pages/stock/stockset /stockset.js
let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    util.checklogin(
      function() {
        that.getData()
      })

  },
  getData() {
    util.query('userSetting/wxapi/getMySetting', {}, function(res) {
      if (res.code === 10000) {
        that.setData(res.data)
      } else {
        util.showToast('获取失败')
      }

    })
  },
  save(e) {
    util.query('userSetting/wxapi/setPurchaseSetting', this.data, function(res) {
      if (res.code === 10000) {
        util.showToast('保存成功')
        setTimeout(function () {
          wx.navigateBack({
            delta: 1
          })
        }, 2000)
      } else {}
    }, 'POST')
  },
  setv(e) {
    var da = this.data
    da[e.currentTarget.dataset.name] = e.detail.value ? 1 : 0
    this.setData(da)
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})